
$(document).ready(function(){
    //给提交按扭添加事件
    $('#btnSubmit').click(function(){
		var url = "ajax.aspx?NoCopyright=1&type=GetMemmberMaxAddressCount&ran=" + Math.random();
		var pass = false;
		var isLogin = true;
		$.ajax({
			url:url,
			async:false,
			success:function(data){
				if(data == 'NOLOGIN')
				{
					isLogin = false;
				}
				else
				{
					pass = data;
				}
				
			}
		});
		
		if(!isLogin)
		{
			alert(strPleaseLogin);
			return false;
		}
		//如果用户的地址簿数量已经达到系统设置的最大上限,则不能再添加地址
		if(getQueryStringRegExp('action') != 'update' && pass == 'false')
		{
			alert(strNewAddressAlert);
			return false;
		}
		if($('#ddlTopAreas').val() == '0'){
		    alert(strSelectArea); return false;
		}
        if($("#txtRName").val()=="")
		{
			alert(strCheckOut_Alert1);
			return false;
		}
		if($("#txtRAddress").val()=="")
		{
			alert(strCheckOut_Alert1);
			return false;
		}
		if($("#txtRPostalcode").val()=="")
		{
			alert(strCheckOut_Alert1);
			return false;
		}
		if($("#txtRMobile").val()=="")
		{
			alert(strCheckOut_Alert1);
			return false;
		}
    });
    
    function getQueryStringRegExp(name) 
	{    
		var reg = new RegExp("(^|\\?|&)"+ name +"=([^&]*)(\\s|&|$)", "i");
		if (reg.test(location.href))
			return unescape(RegExp.$2.replace(/\+/g, " "));
			return "";
	}
	
	if(getQueryStringRegExp('action') == 'update')
	{
	    $('#btnSubmit')[0].focus();
	}
	
	
});